dx_auth: 404 error

#1
[eluser]leatherback[/eluser]
Hi All,

for days now I have been trying to get the dx_auth module to work, to no avail. I keep getting 404 pages from CI whenever I try to get to the auth pages. I installed the version with examples and am now trying to get to one of them.

When using the highest debugging log level, this is where it stops:

[snip]
DEBUG - 2012-03-08 22:21:17—> Loader Class Initialized
DEBUG - 2012-03-08 22:21:17—> Config file loaded: application/config/auth.php
DEBUG - 2012-03-08 22:21:17—> Controller Class Initialized
ERROR - 2012-03-08 22:21:17—> 404 Page Not Found—>

I am calling:
http://localhost/vraagje/index.php/auth/login/

How should I proceed trying to debug this?

#2
[eluser]kerell78us[/eluser]
[quote author="leatherback" date="1331732009"]Hi All,

for days now I have been trying to get the dx_auth module to work, to no avail. I keep getting 404 pages from CI whenever I try to get to the auth pages. I installed the version with examples and am now trying to get to one of them.

When using the highest debugging log level, this is where it stops:

[snip]
DEBUG - 2012-03-08 22:21:17—> Loader Class Initialized
DEBUG - 2012-03-08 22:21:17—> Config file loaded: application/config/auth.php
DEBUG - 2012-03-08 22:21:17—> Controller Class Initialized
ERROR - 2012-03-08 22:21:17—> 404 Page Not Found—>

I am calling:
http://localhost/vraagje/index.php/auth/login/

How should I proceed trying to debug this?[/quote]


Last I checked Dx_Auth was compatible ci CI 1.72. However, if you are attempting to use the library with CI ver2.0, try the following:-

Controllers should be:

Code:
<?php

class Foo extends CI_Controller
{

    public function __construct() {
             parent::__construct();
    }

}

?>


Model should be:

Code:
<?php

class Foo_Model extends CI_Model
{

    public function __construct() {
             parent::__construct();
    }

}

?>


Hopes this helps
Cheers

#3
[eluser]leatherback[/eluser]
[quote author="kerell78us" date="1331745692"]
Last I checked Dx_Auth was compatible ci CI 1.72. However, if you are attempting to use the library with CI ver2.0, try the following:-

{snip}

Hopes this helps
Cheers[/quote]

That helped a lot! Not a good idea to try and figure out the framework using examples from an outdated version. Now it makes sense I could not make snese of what was going wrong. Will try something else; Hope to make better progress with a newer auth module.

Smile


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.